The NetBSD Project

CVS log for pkgsrc/devel/py-virtualenv/Makefile

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / devel / py-virtualenv

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.43 / (download) - annotate - [select for diffs], Mon Jan 28 08:39:23 2019 UTC (2 months, 2 weeks ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2019Q1-base, pkgsrc-2019Q1, HEAD
Changes since 1.42: +2 -5 lines
Diff to previous 1.42 (colored)

py-virtualenv: updated to 16.3.0

v16.3.0:

Bugfixes

Use importlib over deprecated imp in distutils/__init__.py for python 3
Preserve cert option defined in pip.conf or environment variable.
fixed a ResourceWarning: unclosed file in call_subprocess()
pre-import some built-in modules in site.py on PyPy according to PyPy site.py
Copy files from sys.exec_prefix only if it is really different path than used prefix

Revision 1.42 / (download) - annotate - [select for diffs], Fri Jan 4 21:44:13 2019 UTC (3 months, 2 weeks ago) by adam
Branch: MAIN
Changes since 1.41: +10 -3 lines
Diff to previous 1.41 (colored)

py-virtualenv: updated to 16.2.0

v16.2.0:

Bugfixes
copyfile handles relative symlinks and symlinks to symlinks, avoiding problems when Python was installed using stow or homebrew.
Fix preserving of original path when using fish and a subshell.
Drop the source layout of the project, going back to how the source was laid out before 16.1.0.
Fix bootstrap script generation broken with 16.0.0. Support now both CPython, pypy, jython.
lib64 symlink is again relative (as was with < 16.1.0).

Features
fish version 3 support for the activation script.
powershell activator is no longer signed.
pyproject.toml with PEP-517 and PEP-518 is now provided. tox.ini is now packaged with the sdist. Distributions repackaging the library should use tox -e py to run the test suite on the sdist.
activate_this.py improvements: set VIRTUAL_ENV environment variable; pypy, pypy3 and jython support.
The xonsh shell is now supported by generating the xon.sh activation script.
Support pip wheels with removed certifi's cacert.pem.
Upgrade setuptools from 40.5.0 to 40.6.3 and wheel from 0.32.2 to 0.32.3.
powershell now also provides the pydoc function that uses the virtual environments pydoc.
Migrate to a setup.cfg based build. Minimum setuptools required to build is setuptools >= 40.6.3, this is automatically acquired for all PEP-518 builders (recommended), or acquired via the old setup_requires method otherwise. Move exclusively to a setuptools generated console entry point script, this now does make setuptools >= 18.0.0 a runtime dependency (install requires). Source and issue tracker now is shown on PyPi (supplied as package metadata) beside the homepage.

Deprecations (removal in next major release)
Using python setup.py test is now marked as deprecated and will be removed in next release. Use tox instead, always.
Using the project directly from the source layout is now deprecated. Going ahead people wanting to use the project without installing the virtualenv are encouraged to download the wheel from PyPi and extract it to access the virtualenv.py file. Wel be switching to a src layout with next release.
No longer support distutils build/installation, now setuptools >= 40.6.3 is required.

Revision 1.41 / (download) - annotate - [select for diffs], Thu Nov 1 18:09:52 2018 UTC (5 months, 2 weeks ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2018Q4-base, pkgsrc-2018Q4
Changes since 1.40: +11 -4 lines
Diff to previous 1.40 (colored)

py-virtualenv: updated to 16.1.0

16.1.0:
Fixed documentation to use pypi.org and correct curl options
bug fix: ensure prefix is absolute when creating a new virtual environment
upgrade setuptools from 39.1.0 to 40.5.0
upgrade wheel from 0.31.1 to 0.32.2
upgrade pip from 10.0.1 to 18.1
activate.csh does not use basename and handles newlines
fix failure to copy on platforms that use lib64
enable tab-completion in the interactive interpreter by default, thanks to a new sys.__interactivehook__ on Python 3
suppress warning of usage of the deprecated imp module

Revision 1.40 / (download) - annotate - [select for diffs], Mon Jun 11 09:11:29 2018 UTC (10 months, 1 week ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2018Q3-base, pkgsrc-2018Q3, pkgsrc-2018Q2-base, pkgsrc-2018Q2
Changes since 1.39: +2 -2 lines
Diff to previous 1.39 (colored)

py-virtualenv: updated HOMEPAGE

Revision 1.39 / (download) - annotate - [select for diffs], Sun May 27 12:42:41 2018 UTC (10 months, 3 weeks ago) by wiz
Branch: MAIN
Changes since 1.38: +2 -2 lines
Diff to previous 1.38 (colored)

py-virtualenv: update to 16.0.0.

16.0.0 (2018-05-16)
-------------------

* Drop support for Python 2.6.

* Upgrade pip to 10.0.1.

* Upgrade setuptools to 39.1.0.

* Upgrade wheel to 0.31.1.

Revision 1.38 / (download) - annotate - [select for diffs], Sat Mar 24 07:51:15 2018 UTC (12 months, 3 weeks ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2018Q1-base, pkgsrc-2018Q1
Changes since 1.37: +8 -3 lines
Diff to previous 1.37 (colored)

py-virtualenv: updated to 15.2.0

15.2.0:
Upgrade setuptools to 39.0.1.
Upgrade pip to 9.0.3.
Upgrade wheel to 0.30.0.

Revision 1.37 / (download) - annotate - [select for diffs], Mon Sep 4 18:08:22 2017 UTC (19 months, 2 weeks ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-
Changes since 1.36: +2 -2 lines
Diff to previous 1.36 (colored)

Follow some redirects.

Revision 1.36 / (download) - annotate - [select for diffs], Tue Jan 3 13:23:03 2017 UTC (2 years, 3 months ago) by jperkin
Branch: MAIN
CVS Tags: pkgsrc-2017Q2-base, pkgsrc-2017Q2, pkgsrc-2017Q1-base, pkgsrc-2017Q1
Changes since 1.35: +2 -2 lines
Diff to previous 1.35 (colored)

Use "${MV} || ${TRUE}" and "${RM} -f" consistently in post-install targets.

Revision 1.35 / (download) - annotate - [select for diffs], Mon Nov 28 15:15:40 2016 UTC (2 years, 4 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2016Q4-base, pkgsrc-2016Q4
Changes since 1.34: +2 -2 lines
Diff to previous 1.34 (colored)

Updated py-virtualenv to 15.1.0.

15.1.0 (2016-11-15)
-------------------

* Support Python 3.6.

* Upgrade setuptools to 28.0.0.

* Upgrade pip to 9.0.1.

* Don't install pre-release versions of pip, setuptools, or wheel from PyPI.

Revision 1.34 / (download) - annotate - [select for diffs], Sun Aug 28 15:48:31 2016 UTC (2 years, 7 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2016Q3-base, pkgsrc-2016Q3
Changes since 1.33: +1 -3 lines
Diff to previous 1.33 (colored)

Remove unnecessary PLIST_SUBST and FILES_SUBST that are now provided
by the infrastructure.

Mark a couple more packages as not ready for python-3.x.

Revision 1.33 / (download) - annotate - [select for diffs], Fri Aug 19 15:35:22 2016 UTC (2 years, 8 months ago) by wiz
Branch: MAIN
Changes since 1.32: +2 -3 lines
Diff to previous 1.32 (colored)

Updated py-virtualenv to 15.0.3.

15.0.3 (2016-08-05)

    Test for given python path actually being an executable file, #939
    Only search for copy actual existing Tcl/Tk directories (PR #937)
    Generically search for correct Tcl/Tk version (PR #926, PR #933)
    Upgrade setuptools to 22.0.5

Revision 1.32 / (download) - annotate - [select for diffs], Tue Jun 14 11:21:12 2016 UTC (2 years, 10 months ago) by wiedi
Branch: MAIN
CVS Tags: pkgsrc-2016Q2-base, pkgsrc-2016Q2
Changes since 1.31: +3 -2 lines
Diff to previous 1.31 (colored)

ship virtualenv with PYVERSSUFFIX so pkg_alternatives can find it

Revision 1.31 / (download) - annotate - [select for diffs], Wed Jun 8 17:49:19 2016 UTC (2 years, 10 months ago) by wiz
Branch: MAIN
Changes since 1.30: +2 -2 lines
Diff to previous 1.30 (colored)

Switch to MASTER_SITE_PYPI.

Revision 1.30 / (download) - annotate - [select for diffs], Sun May 29 21:30:53 2016 UTC (2 years, 10 months ago) by wiz
Branch: MAIN
Changes since 1.29: +3 -3 lines
Diff to previous 1.29 (colored)

Updated py-virtualenv to 15.0.2.


15.0.2 (2016-05-28)

    Copy Tcl/Tk libs on Windows to allow them to run, fixes #93 (PR #888)
    Upgrade setuptools to 21.2.1.
    Upgrade pip to 8.1.2.

Revision 1.29 / (download) - annotate - [select for diffs], Wed Apr 13 18:51:05 2016 UTC (3 years ago) by wiz
Branch: MAIN
Changes since 1.28: +2 -2 lines
Diff to previous 1.28 (colored)

Update py-virtualenv to 15.0.1.

Changes: the usual updates.

Revision 1.28 / (download) - annotate - [select for diffs], Tue Mar 8 15:19:16 2016 UTC (3 years, 1 month ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2016Q1-base, pkgsrc-2016Q1
Changes since 1.27: +2 -2 lines
Diff to previous 1.27 (colored)

Update py-virtualenv to 15.0.0.

15.0.0 (2016-03-05)

    Remove the virtualenv-N.N script from the package; this can no longer be correctly created from a wheel installation. Resolves #851, #692
    Remove accidental runtime dependency on pip by extracting certificate in the subprocess.
    Upgrade setuptools 20.2.2.
    Upgrade pip to 8.1.0.

Revision 1.27 / (download) - annotate - [select for diffs], Sun Feb 14 10:58:00 2016 UTC (3 years, 2 months ago) by wiz
Branch: MAIN
Changes since 1.26: +2 -2 lines
Diff to previous 1.26 (colored)

Update py-virtualenv to 14.0.6.

14.0.6 (2016-02-07)
-------------------

* Upgrade setuptools to 20.0

* Upgrade wheel to 0.29.0

* Fix an error where virtualenv didn't pass in a working ssl certificate for
  pip, causing "weird" errors related to ssl.

Revision 1.26 / (download) - annotate - [select for diffs], Sun Feb 7 14:18:45 2016 UTC (3 years, 2 months ago) by wiz
Branch: MAIN
Changes since 1.25: +2 -2 lines
Diff to previous 1.25 (colored)

Update py-virtualenv to 14.0.5:

14.0.5 (2016-02-01)
-------------------

* Homogenize drive letter casing for both prefixes and filenames. :issue:`858`

14.0.4 (2016-01-31)
-------------------

* Upgrade setuptools to 19.6.2

* Revert ac4ea65; only correct drive letter case.
  Fixes :issue:`856`, :issue:`815`

Revision 1.25 / (download) - annotate - [select for diffs], Mon Feb 1 13:10:09 2016 UTC (3 years, 2 months ago) by wiz
Branch: MAIN
Changes since 1.24: +2 -2 lines
Diff to previous 1.24 (colored)

Update py-virtualenv to 14.0.3. All self tests pass.

14.0.3 (2016-01-28)
-------------------

* Upgrade setuptools to 19.6.1


14.0.2 (2016-01-28)
-------------------

* Upgrade setuptools to 19.6

* Supress any errors from `unset` on different shells (:pull:`843`)

* Normalize letter case for prefix path checking. Fixes :issue:`837`

Revision 1.24 / (download) - annotate - [select for diffs], Wed Jan 27 09:00:49 2016 UTC (3 years, 2 months ago) by wiz
Branch: MAIN
Changes since 1.23: +2 -3 lines
Diff to previous 1.23 (colored)

Update py-virtualenv to 14.0.1:

14.0.1 (2016-01-21)
-------------------

* Upgrade from pip 8.0.0 to 8.0.2.

* Fix the default of ``--(no-)download`` to default to downloading.


14.0.0 (2016-01-19)
-------------------

* **BACKWARDS INCOMPATIBLE** Drop support for Python 3.2.

* Upgrade setuptools to 19.4

* Upgrade wheel to 0.26.0

* Upgrade pip to 8.0.0

* Upgrade argparse to 1.4.0

* Added support for ``python-config`` script (:pull:`798`)

* Updated activate.fish (:pull:`589`) (:pull:`799`)

* Account for a ``site.pyo`` correctly in some python implementations (:pull:`759`)

* Properly restore an empty PS1 (:issue:`407`)

* Properly remove ``pydoc`` when deactivating

* Remove workaround for very old Mageia / Mandriva linuxes (:pull:`472`)

* Added a space after virtualenv name in the prompt: ``(env) $PS1``

* Make sure not to run a --user install when creating the virtualenv (:pull:`803`)

* Remove virtualenv file's path from directory when executing with a new
  python. Fixes issue :issue:`779`, :issue:`763` (:pull:`805`)

* Remove use of () in .bat files so ``Program Files (x86)`` works :issue:`35`

* Download new releases of the preinstalled software from PyPI when there are
  new releases available. This behavior can be disabled using
  ``--no-download``.

* Make ``--no-setuptools``, ``--no-pip``, and ``--no-wheel`` independent of
  each other.

Revision 1.23 / (download) - annotate - [select for diffs], Fri Dec 11 11:41:37 2015 UTC (3 years, 4 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2015Q4-base, pkgsrc-2015Q4
Changes since 1.22: +3 -2 lines
Diff to previous 1.22 (colored)

Fix ALTERNATIVES file. Bump PKGREVISION.

Revision 1.22 / (download) - annotate - [select for diffs], Mon Sep 28 23:16:12 2015 UTC (3 years, 6 months ago) by rodent
Branch: MAIN
Changes since 1.21: +5 -1 lines
Diff to previous 1.21 (colored)

Make this not self-conflict like we did with a lot of other python packages
ie. remove ${DESTDIR}${PREFIX}/bin/virtualenv in the post-install phase.
Bump PKGREVISION.

Revision 1.21 / (download) - annotate - [select for diffs], Sun Aug 30 14:46:17 2015 UTC (3 years, 7 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2015Q3-base, pkgsrc-2015Q3
Changes since 1.20: +2 -2 lines
Diff to previous 1.20 (colored)

Update to 13.1.2:

13.1.2 (2015-08-23)
~~~~~~~~~~~~~~~~~~~

* Upgrade pip to 7.1.2.

13.1.1 (2015-08-20)
~~~~~~~~~~~~~~~~~~~

* Upgrade pip to 7.1.1.

* Upgrade setuptools to 18.2.

* Make the activate script safe to use when bash is running with ``-u``.

Revision 1.20 / (download) - annotate - [select for diffs], Wed Jul 8 11:42:54 2015 UTC (3 years, 9 months ago) by wiz
Branch: MAIN
Changes since 1.19: +2 -2 lines
Diff to previous 1.19 (colored)

Update to 13.1.0:

13.1.0 (2015-06-30)
~~~~~~~~~~~~~~~~~~~

* Upgrade pip to 7.1.0

* Upgrade setuptools to 18.0.1

Revision 1.19 / (download) - annotate - [select for diffs], Sun Jun 7 08:54:35 2015 UTC (3 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2015Q2-base, pkgsrc-2015Q2
Changes since 1.18: +2 -2 lines
Diff to previous 1.18 (colored)

Update to 13.0.3:

13.0.3 (2015-06-01)
~~~~~~~~~~~~~~~~~~~

* Upgrade pip to 7.0.3


13.0.2 (2015-06-01)
~~~~~~~~~~~~~~~~~~~

* Upgrade pip to 7.0.2

* Upgrade setuptools to 17.0

Revision 1.18 / (download) - annotate - [select for diffs], Thu May 28 07:17:12 2015 UTC (3 years, 10 months ago) by wiz
Branch: MAIN
Changes since 1.17: +2 -2 lines
Diff to previous 1.17 (colored)

Update to 13.0.1:

13.0.1 (2015-05-22)
~~~~~~~~~~~~~~~~~~~

* Upgrade pip to 7.0.1


13.0.0 (2015-05-21)
~~~~~~~~~~~~~~~~~~~

* Automatically install wheel when creating a new virutalenv. This can be
  disabled by using the ``--no-wheel`` option.

* Don't trust the current directory as a location to discover files to install
  packages from.

* Upgrade setuptools to 16.0.

* Upgrade pip to 7.0.0.

Revision 1.17 / (download) - annotate - [select for diffs], Sun Apr 12 14:30:29 2015 UTC (4 years ago) by wiz
Branch: MAIN
Changes since 1.16: +2 -2 lines
Diff to previous 1.16 (colored)

Update to 12.1.1:

12.1.1 (2015-04-07)
~~~~~~~~~~~~~~~~~~~

* Upgrade pip to 6.1.1


12.1.0 (2015-04-07)
~~~~~~~~~~~~~~~~~~~

* Upgrade setuptools to 15.0

* Upgrade pip to 6.1.0

Revision 1.16 / (download) - annotate - [select for diffs], Sun Feb 8 16:39:35 2015 UTC (4 years, 2 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2015Q1-base, pkgsrc-2015Q1
Changes since 1.15: +2 -2 lines
Diff to previous 1.15 (colored)

Update to 12.0.7:

12.0.7 (2015-02-04)
~~~~~~~~~~~~~~~~~~~

* Upgrade pip to 6.0.8

Revision 1.15 / (download) - annotate - [select for diffs], Sun Feb 1 19:43:43 2015 UTC (4 years, 2 months ago) by wiz
Branch: MAIN
Changes since 1.14: +2 -2 lines
Diff to previous 1.14 (colored)

Update to 12.0.6:

12.0.6 (2015-01-28)
~~~~~~~~~~~~~~~~~~~

* Upgrade pip to 6.0.7

* Upgrade setuptools to 12.0.5

Revision 1.14 / (download) - annotate - [select for diffs], Sun Jan 4 23:48:43 2015 UTC (4 years, 3 months ago) by wiz
Branch: MAIN
Changes since 1.13: +2 -2 lines
Diff to previous 1.13 (colored)

Update to 12.0.5:

12.0.5 (2015-01-03)
~~~~~~~~~~~~~~~~~~~

* Upgrade pip to 6.0.6

* Upgrade setuptools to 11.0

Revision 1.13 / (download) - annotate - [select for diffs], Tue Dec 30 14:26:33 2014 UTC (4 years, 3 months ago) by wiz
Branch: MAIN
Changes since 1.12: +2 -2 lines
Diff to previous 1.12 (colored)

Update to 12.0.4:

12.0.4 (2014-22-23)
~~~~~~~~~~~~~~~~~~~

* Revert the fix to ``-p`` on Debian based pythons as it was broken in other
  situations.

* Revert several sys.path changes new in 12.0 which were breaking virtualenv.

12.0.3 (2014-22-23)
~~~~~~~~~~~~~~~~~~~

* Fix an issue where Debian based Pythons would fail when using -p with the
  host Python.

* Upgrade pip to 6.0.3

12.0.2 (2014-12-23)
~~~~~~~~~~~~~~~~~~~

* Upgraded pip to 6.0.2

12.0.1 (2014-12-22)
~~~~~~~~~~~~~~~~~~~

* Upgraded pip to 6.0.1

12.0 (2014-12-22)
~~~~~~~~~~~~~~~~~

* **PROCESS** Version numbers are now simply ``X.Y`` where the leading ``1``
  has been dropped.
* Split up documentation into structured pages
* Now using pytest framework
* Correct sys.path ordering for debian, issue #461
* Correctly throws error on older Pythons, issue #619
* Allow for empty $PATH, pull #601
* Don't set prompt if $env:VIRTUAL_ENV_DISABLE_PROMPT is set for Powershell
* Updated setuptools to 7.0

Revision 1.12 / (download) - annotate - [select for diffs], Tue May 20 08:49:26 2014 UTC (4 years, 11 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2
Changes since 1.11: +2 -2 lines
Diff to previous 1.11 (colored)

Update to 1.11.6:

1.11.6 (2014-05-16)
~~~~~~~~~~~~~~~~~~~

* Updated setuptools to 3.6
* Updated pip to 1.5.6

Revision 1.11 / (download) - annotate - [select for diffs], Sun May 4 17:17:01 2014 UTC (4 years, 11 months ago) by wiz
Branch: MAIN
Changes since 1.10: +2 -2 lines
Diff to previous 1.10 (colored)

Update to 1.11.5:

1.11.5 (2014-05-03)
~~~~~~~~~~~~~~~~~~~

* Updated setuptools to 3.4.4
* Updated documentation to use https://virtualenv.pypa.io/

Revision 1.10 / (download) - annotate - [select for diffs], Mon Feb 24 12:04:44 2014 UTC (5 years, 1 month ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2014Q1-base, pkgsrc-2014Q1
Changes since 1.9: +2 -2 lines
Diff to previous 1.9 (colored)

Update to 1.11.4:

1.11.4 (2014-02-21)
~~~~~~~~~~~~~~~~~~~

* Updated pip to 1.5.4


1.11.3 (2014-02-20)
~~~~~~~~~~~~~~~~~~~

* Updated setuptools to 2.2
* Updated pip to 1.5.3

Revision 1.9 / (download) - annotate - [select for diffs], Mon Jan 27 19:15:55 2014 UTC (5 years, 2 months ago) by wiz
Branch: MAIN
Changes since 1.8: +2 -2 lines
Diff to previous 1.8 (colored)

Update to 1.11.2:

1.11.2 (2014-01-26)
~~~~~~~~~~~~~~~~~~~

* Fixed easy_install installed virtualenvs by updated pip to 1.5.2

1.11.1 (2014-01-20)
~~~~~~~~~~~~~~~~~~~

* Fixed an issue where pip and setuptools were not getting installed when using
  the ``--system-site-packages`` flag.
* Updated setuptools to fix an issue when installed with easy_install
* Fixed an issue with Python 3.4 and sys.stdout encoding being set to ascii
* Upgraded pip to v1.5.1
* Upgraded setuptools to v2.1

Revision 1.8 / (download) - annotate - [select for diffs], Mon Jan 27 18:41:12 2014 UTC (5 years, 2 months ago) by wiz
Branch: MAIN
Changes since 1.7: +1 -2 lines
Diff to previous 1.7 (colored)

Do not set FETCH_USING, should not be set in a package Makefile.

Revision 1.7 / (download) - annotate - [select for diffs], Thu Jan 16 02:57:42 2014 UTC (5 years, 3 months ago) by rodent
Branch: MAIN
Changes since 1.6: +3 -2 lines
Diff to previous 1.6 (colored)

Update to latest release, 1.11. From doc/news.rst:

1.11 (2014-01-02)
~~~~~~~~~~~~~~~~~

* **BACKWARDS INCOMPATIBLE** Switched to using wheels for the bundled copies of
  setuptools and pip. Using sdists is no longer supported - users supplying
  their own versions of pip/setuptools will need to provide wheels.
* **BACKWARDS INCOMPATIBLE** Modified the handling of ``--extra-search-dirs``.
  This option now works like pip's ``--find-links`` option, in that it adds
  extra directories to search for compatible wheels for pip and setuptools.
  The actual wheel selected is chosen based on version and compatibility, using
  the same algorithm as ``pip install setuptools``.
* Upgraded pip to v1.5
* Upgraded setuptools to v1.4

Revision 1.6 / (download) - annotate - [select for diffs], Thu Aug 15 10:44:10 2013 UTC (5 years, 8 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2013Q4-base, pkgsrc-2013Q4, pkgsrc-2013Q3-base, pkgsrc-2013Q3
Changes since 1.5: +2 -2 lines
Diff to previous 1.5 (colored)

Update to 1.10.1:

1.10.1 (2013-08-07)
~~~~~~~~~~~~~~~~~~~

* **New Signing Key** Release 1.10.1 is using a different key than normal with
  fingerprint: 7C6B 7C5D 5E2B 6356 A926 F04F 6E3C BCE9 3372 DCFA
* Upgraded pip to v1.4.1
* Upgraded setuptools to v0.9.8

Revision 1.5 / (download) - annotate - [select for diffs], Sun Jul 28 20:44:46 2013 UTC (5 years, 8 months ago) by wiz
Branch: MAIN
Changes since 1.4: +2 -2 lines
Diff to previous 1.4 (colored)

Update to 1.10:

1.10 (2013-07-23)
~~~~~~~~~~~~~~~~~

* **BACKWARDS INCOMPATIBLE** Dropped support for Python 2.5. The minimum
  supported Python version is now Python 2.6.

* **BACKWARDS INCOMPATIBLE** Using ``virtualenv.py`` as an isolated script
  (i.e. without an associated ``virtualenv_support`` directory) is no longer
  supported for security reasons and will fail with an error.

  Along with this, ``--never-download`` is now always pinned to ``True``, and
  is only being maintained in the short term for backward compatibility
  (Pull #412).

* **IMPORTANT** Switched to the new setuptools (v0.9.7) which has been merged
  with Distribute_ again and works for Python 2 and 3 with one codebase.
  The ``--distribute`` and ``--setuptools`` options are now no-op.

* Updated to pip 1.4.

* Added support for PyPy3k

* Added the option to use a version number with the ``-p`` option to get the
  system copy of that Python version (Windows only)

* Removed embedded ``ez_setup.py``, ``distribute_setup.py`` and
  ``distribute_from_egg.py`` files as part of switching to merged setuptools.

* Fixed ``--relocatable`` to work better on Windows.

* Fixed issue with readline on Windows.

.. _Distribute: https://pypi.python.org/pypi/distribute

Revision 1.4 / (download) - annotate - [select for diffs], Fri Mar 15 21:54:01 2013 UTC (6 years, 1 month ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2013Q2-base, pkgsrc-2013Q2, pkgsrc-2013Q1-base, pkgsrc-2013Q1
Changes since 1.3: +2 -2 lines
Diff to previous 1.3 (colored)

Update to 1.9.1:

1.9.1 (2013-03-08)
~~~~~~~~~~~~~~~~~~

* Updated to pip 1.3.1 that fixed a major backward incompatible change of
  parsing URLs to externally hosted packages that got accidentily included
  in pip 1.3.

1.9 (2013-03-07)
~~~~~~~~~~~~~~~~

* Unset VIRTUAL_ENV environment variable in deactivate.bat (Pull #364)
* Upgraded distribute to 0.6.34.
* Added ``--no-setuptools`` and ``--no-pip`` options (Pull #336).
* Fixed Issue #373. virtualenv-1.8.4 was failing in cygwin (Pull #382).
* Fixed Issue #378. virtualenv is now "multiarch" aware on debian/ubuntu (Pull #379).
* Fixed issue with readline module path on pypy and OSX (Pull #374).
* Made 64bit detection compatible with Python 2.5 (Pull #393).

Revision 1.3 / (download) - annotate - [select for diffs], Sun Dec 16 16:09:42 2012 UTC (6 years, 4 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2012Q4-base, pkgsrc-2012Q4
Changes since 1.2: +2 -2 lines
Diff to previous 1.2 (colored)

Update to 1.8.4:

1.8.4 (2012-11-25)

    Updated distribute to 0.6.31. This fixes #359 (numpy install regression) on UTF-8 platforms, and provides a workaround on other platforms: PYTHONIOENCODING=utf8 pip install numpy.
    When installing virtualenv via curl, don't forget to filter out arguments the distribute setup script won't understand. Fixes #358.
    Added some more integration tests.

1.8.3 (2012-11-21)

    Fixed readline on OS X. Thanks minrk
    Updated distribute to 0.6.30 (improves our error reporting, plus new distribute features and fixes). Thanks Gabriel (g2p)
    Added compatibility with multiarch Python (Python 3.3 for example). Added an integration test. Thanks Gabriel (g2p)
    Added ability to install distribute from a user-provided egg, rather than the bundled sdist, for better speed. Thanks Paul Moore.
    Make the creation of lib64 symlink smarter about already-existing symlink, and more explicit about full paths. Fixes #334 and #330. Thanks Jeremy Orem.
    Give lib64 site-dir preference over lib on 64-bit systems, to avoid wrong 32-bit compiles in the venv. Fixes #328. Thanks Damien Nozay.
    Fix a bug with prompt-handling in activate.csh in non-interactive csh shells. Fixes #332. Thanks Benjamin Root for report and patch.
    Make it possible to create a virtualenv from within a Python 3.3. pyvenv. Thanks Chris McDonough for the report.
    Add optional --setuptools option to be able to switch to it in case distribute is the default (like in Debian).

Revision 1.2 / (download) - annotate - [select for diffs], Wed Oct 31 11:19:36 2012 UTC (6 years, 5 months ago) by asau
Branch: MAIN
Changes since 1.1: +1 -3 lines
Diff to previous 1.1 (colored)

Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.

Revision 1.1 / (download) - annotate - [select for diffs], Sat Oct 6 22:23:22 2012 UTC (6 years, 6 months ago) by wiz
Branch: MAIN

Import py-virtualenv-1.8.2 as devel/py-virtualenv.

virtualenv is a tool to create isolated Python environments.

The basic problem being addressed is one of dependencies and
versions, and indirectly permissions. Imagine you have an application
that needs version 1 of LibFoo, but another application requires
version 2. How can you use both these applications? If you install
everything into /usr/lib/python2.7/site-packages (or whatever your
platform's standard location is), it's easy to end up in a situation
where you unintentionally upgrade an application that shouldn't be
upgraded.

Or more generally, what if you want to install an application and
leave it be? If an application works, any change in its libraries
or the versions of those libraries can break the application.

Also, what if you can't install packages into the global site-packages
directory? For instance, on a shared host.

In all these cases, virtualenv can help you. It creates an environment
that has its own installation directories, that doesn't share
libraries with other virtualenv environments (and optionally doesn't
access the globally installed libraries either).

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>